import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JPanel;

/**
 * Komponenta uživatelského rozhraní kreslící na svou plochu kruh,
 * jehož velikost je možné měnit.
 */
public class OvalPanel extends JPanel {

	/**
	 * Šířka kruhu, implicitně 10.
	 */
	private int width = 10;
        /**
	 * Výška kruhu, implicitně 10.
	 */
	private int height = 10;

	@Override
	public void paintComponent(Graphics g) {
		super.paintComponent(g);
                g.setColor(Color.red);
		g.fillOval(10, 10, width, height);
	}

	/**
	 * Nastaví šířku kresleného oválu a překreslí obsah komponnety.
	 * 
	 * @param newDiameter
	 *            nastavovaná šířka oválu
	 */
	public void setWidth(int width) {
		this.width = (width >= 0 ? width : 10);
		repaint();
	}

        /**
	 * Nastaví výšku kresleného oválu a překreslí obsah komponnety.
	 *
	 * @param newDiameter
	 *            nastavovaná šířka oválu
	 */
	public void setHeight(int height) {
		this.height = (height >= 0 ? height : 10);
		repaint();
	}

	@Override
	public Dimension getPreferredSize() {
		return new Dimension(200, 070);
	}

	@Override
	public Dimension getMinimumSize() {
		return getPreferredSize();
	}
}
